DomImpl (xmlbeans API)

org.apache.xmlbeans.impl.store

## Class DomImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.store.DomImpl

-     public final class DomImpl
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `DomImpl.Dom`
    `static class` | `DomImpl.DomLevel3NotImplemented`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static NodeList` | `_emptyNodeList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomImpl()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Element` | `_attr_getOwnerElement(DomImpl.Dom a)`
    `static boolean` | `_attr_getSpecified(DomImpl.Dom a)`
    `static int` | `_attributes_getLength(DomImpl.Dom e)`
    `static Node` | `_attributes_getNamedItem(DomImpl.Dom e, String name)`
    `static Node` | `_attributes_getNamedItemNS(DomImpl.Dom e, String uri, String local)`
    `static Node` | `_attributes_item(DomImpl.Dom e, int index)`
    `static Node` | `_attributes_removeNamedItem(DomImpl.Dom e, String name)`
    `static Node` | `_attributes_removeNamedItemNS(DomImpl.Dom e, String uri, String local)`
    `static Node` | `_attributes_setNamedItem(DomImpl.Dom e, Node attr)`
    `static Node` | `_attributes_setNamedItemNS(DomImpl.Dom e, Node attr)`
    `static void` | `_characterData_appendData(DomImpl.Dom cd, String arg)`
    `static void` | `_characterData_deleteData(DomImpl.Dom c, int offset, int count)`
    `static String` | `_characterData_getData(DomImpl.Dom c)`
    `static int` | `_characterData_getLength(DomImpl.Dom c)`
    `static void` | `_characterData_insertData(DomImpl.Dom c, int offset, String arg)`
    `static void` | `_characterData_replaceData(DomImpl.Dom c, int offset, int count, String arg)`
    `static void` | `_characterData_setData(DomImpl.Dom c, String data)`
    `static String` | `_characterData_substringData(DomImpl.Dom c, int offset, int count)`
    `static int` | `_childNodes_getLength(DomImpl.Dom n)`
    `static Node` | `_childNodes_item(DomImpl.Dom n, int i)`
    `static Attr` | `_document_createAttribute(DomImpl.Dom d, String name)`
    `static Attr` | `_document_createAttributeNS(DomImpl.Dom d, String uri, String qname)`
    `static CDATASection` | `_document_createCDATASection(DomImpl.Dom d, String data)`
    `static Comment` | `_document_createComment(DomImpl.Dom d, String data)`
    `static DocumentFragment` | `_document_createDocumentFragment(DomImpl.Dom d)`
    `static Element` | `_document_createElement(DomImpl.Dom d, String name)`
    `static Element` | `_document_createElementNS(DomImpl.Dom d, String uri, String qname)`
    `static EntityReference` | `_document_createEntityReference(DomImpl.Dom d, String name)`
    `static ProcessingInstruction` | `_document_createProcessingInstruction(DomImpl.Dom d, String target, String data)`
    `static Text` | `_document_createTextNode(DomImpl.Dom d, String data)`
    `static DocumentType` | `_document_getDoctype(DomImpl.Dom d)`
    `static Element` | `_document_getDocumentElement(DomImpl.Dom d)`
    `static Element` | `_document_getElementById(DomImpl.Dom d, String elementId)`
    `static NodeList` | `_document_getElementsByTagName(DomImpl.Dom d, String name)`
    `static NodeList` | `_document_getElementsByTagNameNS(DomImpl.Dom d, String uri, String local)`
    `static DOMImplementation` | `_document_getImplementation(DomImpl.Dom d)`
    `static Node` | `_document_importNode(DomImpl.Dom d, Node n, boolean deep)`
    `static Document` | `_domImplementation_createDocument(Locale l, String u, String n, DocumentType t)`
    `static boolean` | `_domImplementation_hasFeature(Locale l, String feature, String version)`
    `static String` | `_element_getAttribute(DomImpl.Dom e, String name)`
    `static Attr` | `_element_getAttributeNode(DomImpl.Dom e, String name)`
    `static Attr` | `_element_getAttributeNodeNS(DomImpl.Dom e, String uri, String local)`
    `static String` | `_element_getAttributeNS(DomImpl.Dom e, String uri, String local)`
    `static NodeList` | `_element_getElementsByTagName(DomImpl.Dom e, String name)`
    `static NodeList` | `_element_getElementsByTagNameNS(DomImpl.Dom e, String uri, String local)`
    `static String` | `_element_getTagName(DomImpl.Dom e)`
    `static boolean` | `_element_hasAttribute(DomImpl.Dom e, String name)`
    `static boolean` | `_element_hasAttributeNS(DomImpl.Dom e, String uri, String local)`
    `static void` | `_element_removeAttribute(DomImpl.Dom e, String name)`
    `static Attr` | `_element_removeAttributeNode(DomImpl.Dom e, Attr oldAttr)`
    `static void` | `_element_removeAttributeNS(DomImpl.Dom e, String uri, String local)`
    `static void` | `_element_setAttribute(DomImpl.Dom e, String name, String value)`
    `static Attr` | `_element_setAttributeNode(DomImpl.Dom e, Attr newAttr)`
    `static Attr` | `_element_setAttributeNodeNS(DomImpl.Dom e, Attr newAttr)`
    `static void` | `_element_setAttributeNS(DomImpl.Dom e, String uri, String qname, String value)`
    `static XmlCursor` | `_getXmlCursor(DomImpl.Dom n)`
    `static XmlObject` | `_getXmlObject(DomImpl.Dom n)`
    `static XMLStreamReader` | `_getXmlStreamReader(DomImpl.Dom n)`
    `static Node` | `_node_appendChild(DomImpl.Dom p, Node newChild)`
    `static Node` | `_node_cloneNode(DomImpl.Dom n, boolean deep)`
    `static short` | `_node_compareDocumentPosition(DomImpl.Dom n, Node other)`
    `static String` | `_node_getBaseURI(DomImpl.Dom n)`
    `static Object` | `_node_getFeature(DomImpl.Dom n, String feature, String version)`
    `static Node` | `_node_getFirstChild(DomImpl.Dom n)`
    `static Node` | `_node_getLastChild(DomImpl.Dom n)`
    `static String` | `_node_getLocalName(DomImpl.Dom n)`
    `static String` | `_node_getNamespaceURI(DomImpl.Dom n)`
    `static Node` | `_node_getNextSibling(DomImpl.Dom n)`
    `static String` | `_node_getNodeName(DomImpl.Dom n)`
    `static short` | `_node_getNodeType(DomImpl.Dom n)`
    `static String` | `_node_getNodeValue(DomImpl.Dom n)`
    `static Document` | `_node_getOwnerDocument(DomImpl.Dom d)`
    `static Node` | `_node_getParentNode(DomImpl.Dom d)`
    `static String` | `_node_getPrefix(DomImpl.Dom n)`
    `static Node` | `_node_getPreviousSibling(DomImpl.Dom n)`
    `static String` | `_node_getTextContent(DomImpl.Dom n)`
    `static Object` | `_node_getUserData(DomImpl.Dom n, String key)`
    `static boolean` | `_node_hasAttributes(DomImpl.Dom n)`
    `static boolean` | `_node_hasChildNodes(DomImpl.Dom n)`
    `static Node` | `_node_insertBefore(DomImpl.Dom p, Node newChild, Node refChild)`
    `static boolean` | `_node_isDefaultNamespace(DomImpl.Dom n, String namespaceURI)`
    `static boolean` | `_node_isEqualNode(DomImpl.Dom n, Node arg)`
    `static boolean` | `_node_isSameNode(DomImpl.Dom n, Node arg)`
    `static boolean` | `_node_isSupported(DomImpl.Dom n, String feature, String version)`
    `static String` | `_node_lookupNamespaceURI(DomImpl.Dom n, String prefix)`
    `static String` | `_node_lookupPrefix(DomImpl.Dom n, String namespaceURI)`
    `static void` | `_node_normalize(DomImpl.Dom n)`
    `static Node` | `_node_removeChild(DomImpl.Dom p, Node child)`
    `static Node` | `_node_replaceChild(DomImpl.Dom p, Node newChild, Node oldChild)`
    `static void` | `_node_setNodeValue(DomImpl.Dom n, String nodeValue)`
    `static void` | `_node_setPrefix(DomImpl.Dom n, String prefix)`
    `static void` | `_node_setTextContent(DomImpl.Dom n, String textContent)`
    `static Object` | `_node_setUserData(DomImpl.Dom n, String key, Object data, UserDataHandler handler)`
    `static String` | `_processingInstruction_getData(DomImpl.Dom p)`
    `static String` | `_processingInstruction_getTarget(DomImpl.Dom p)`
    `static void` | `_processingInstruction_setData(DomImpl.Dom p, String data)`
    `static SOAPElement` | `_soapElement_addAttribute(DomImpl.Dom d, Name name, String value)`
    `static SOAPElement` | `_soapElement_addChildElement(DomImpl.Dom d, Name name)`
    `static SOAPElement` | `_soapElement_addChildElement(DomImpl.Dom d, SOAPElement oldChild)`
    `static SOAPElement` | `_soapElement_addChildElement(DomImpl.Dom d, String localName)`
    `static SOAPElement` | `_soapElement_addChildElement(DomImpl.Dom d, String localName, String prefix)`
    `static SOAPElement` | `_soapElement_addChildElement(DomImpl.Dom d, String localName, String prefix, String uri)`
    `static SOAPElement` | `_soapElement_addNamespaceDeclaration(DomImpl.Dom d, String prefix, String uri)`
    `static SOAPElement` | `_soapElement_addTextNode(DomImpl.Dom d, String data)`
    `static Iterator<Name>` | `_soapElement_getAllAttributes(DomImpl.Dom d)`
    `static String` | `_soapElement_getAttributeValue(DomImpl.Dom d, Name name)`
    `static Iterator<SOAPElement>` | `_soapElement_getChildElements(DomImpl.Dom d)`
    `static Iterator<SOAPElement>` | `_soapElement_getChildElements(DomImpl.Dom d, Name name)`
    `static Name` | `_soapElement_getElementName(DomImpl.Dom d)`
    `static String` | `_soapElement_getEncodingStyle(DomImpl.Dom d)`
    `static Iterator<String>` | `_soapElement_getNamespacePrefixes(DomImpl.Dom d)`
    `static String` | `_soapElement_getNamespaceURI(DomImpl.Dom d, String prefix)`
    `static Iterator<String>` | `_soapElement_getVisibleNamespacePrefixes(DomImpl.Dom d)`
    `static boolean` | `_soapElement_removeAttribute(DomImpl.Dom d, Name name)`
    `static void` | `_soapElement_removeContents(DomImpl.Dom d)`
    `static boolean` | `_soapElement_removeNamespaceDeclaration(DomImpl.Dom d, String prefix)`
    `static void` | `_soapElement_setEncodingStyle(DomImpl.Dom d, String encodingStyle)`
    `static SOAPBody` | `_soapEnvelope_addBody(DomImpl.Dom d)`
    `static SOAPHeader` | `_soapEnvelope_addHeader(DomImpl.Dom d)`
    `static Name` | `_soapEnvelope_createName(DomImpl.Dom d, String localName)`
    `static Name` | `_soapEnvelope_createName(DomImpl.Dom d, String localName, String prefix, String namespaceURI)`
    `static SOAPBody` | `_soapEnvelope_getBody(DomImpl.Dom d)`
    `static SOAPHeader` | `_soapEnvelope_getHeader(DomImpl.Dom d)`
    `static void` | `_soapNode_detachNode(DomImpl.Dom n)`
    `static SOAPElement` | `_soapNode_getParentElement(DomImpl.Dom n)`
    `static String` | `_soapNode_getValue(DomImpl.Dom n)`
    `static void` | `_soapNode_recycleNode(DomImpl.Dom n)`
    `static void` | `_soapNode_setParentElement(DomImpl.Dom n, SOAPElement p)`
    `static void` | `_soapNode_setValue(DomImpl.Dom n, String value)`
    `static void` | `_soapPart_addMimeHeader(DomImpl.Dom d, String name, String value)`
    `static Iterator<MimeHeader>` | `_soapPart_getAllMimeHeaders(DomImpl.Dom d)`
    `static Source` | `_soapPart_getContent(DomImpl.Dom d)`
    `static SOAPEnvelope` | `_soapPart_getEnvelope(DomImpl.Dom d)`
    `static Iterator<MimeHeader>` | `_soapPart_getMatchingMimeHeaders(DomImpl.Dom d, String[] names)`
    `static String[]` | `_soapPart_getMimeHeader(DomImpl.Dom d, String name)`
    `static Iterator<MimeHeader>` | `_soapPart_getNonMatchingMimeHeaders(DomImpl.Dom d, String[] names)`
    `static void` | `_soapPart_removeAllMimeHeaders(DomImpl.Dom d)`
    `static void` | `_soapPart_removeMimeHeader(DomImpl.Dom d, String name)`
    `static void` | `_soapPart_setContent(DomImpl.Dom d, Source source)`
    `static void` | `_soapPart_setMimeHeader(DomImpl.Dom d, String name, String value)`
    `static boolean` | `_soapText_isComment(DomImpl.Dom n)`
    `static String` | `_text_getWholeText(DomImpl.Dom t)`
    `static boolean` | `_text_isElementContentWhitespace(DomImpl.Dom t)`
    `static Text` | `_text_replaceWholeText(DomImpl.Dom t, String content)`
    `static Text` | `_text_splitText(DomImpl.Dom t, int offset)`
    `static Node` | `append(DomImpl.Dom n, DomImpl.Dom p)`
    `static Element` | `attr_getOwnerElement(DomImpl.Dom n)`
    `static int` | `attributes_getLength(DomImpl.Dom e)`
    `static Node` | `attributes_getNamedItem(DomImpl.Dom e, String name)`
    `static Node` | `attributes_getNamedItemNS(DomImpl.Dom e, String uri, String local)`
    `static Node` | `attributes_item(DomImpl.Dom e, int index)`
    `static Node` | `attributes_removeNamedItem(DomImpl.Dom e, String name)`
    `static Node` | `attributes_removeNamedItemNS(DomImpl.Dom e, String uri, String local)`
    `static Node` | `attributes_setNamedItem(DomImpl.Dom e, DomImpl.Dom a)`
    `static Node` | `attributes_setNamedItemNS(DomImpl.Dom e, DomImpl.Dom a)`
    `static int` | `childNodes_getLength(DomImpl.Dom n)`
    `static Node` | `childNodes_item(DomImpl.Dom n, int i)`
    `static DetailEntry` | `detail_addDetailEntry(DomImpl.Dom d, Name name)`
    `static Iterator<DetailEntry>` | `detail_getDetailEntries(DomImpl.Dom d)`
    `static Attr` | `document_createAttribute(DomImpl.Dom d, String name)`
    `static Attr` | `document_createAttributeNS(DomImpl.Dom d, String uri, String qname)`
    `static CDATASection` | `document_createCDATASection(DomImpl.Dom d, String data)`
    `static Comment` | `document_createComment(DomImpl.Dom d, String data)`
    `static DocumentFragment` | `document_createDocumentFragment(DomImpl.Dom d)`
    `static Element` | `document_createElement(DomImpl.Dom d, String name)`
    `static Element` | `document_createElementNS(DomImpl.Dom d, String uri, String qname)`
    `static ProcessingInstruction` | `document_createProcessingInstruction(DomImpl.Dom d, String target, String data)`
    `static Text` | `document_createTextNode(DomImpl.Dom d, String data)`
    `static DocumentType` | `document_getDoctype(DomImpl.Dom d)`
    `static Element` | `document_getDocumentElement(DomImpl.Dom d)`
    `static NodeList` | `document_getElementsByTagName(DomImpl.Dom d, String name)`
    `static NodeList` | `document_getElementsByTagNameNS(DomImpl.Dom d, String uri, String local)`
    `static Node` | `document_importNode(DomImpl.Dom d, Node n, boolean deep)`
    `static Document` | `domImplementation_createDocument(Locale l, String namespaceURI, String qualifiedName, DocumentType doctype)`
    `static NodeList` | `element_getElementsByTagName(DomImpl.Dom e, String name)`
    `static NodeList` | `element_getElementsByTagNameNS(DomImpl.Dom e, String uri, String local)`
    `static void` | `element_setAttribute(DomImpl.Dom e, String name, String value)`
    `static void` | `element_setAttributeNS(DomImpl.Dom e, String uri, String qname, String value)`
    `static XmlCursor` | `getXmlCursor(DomImpl.Dom n)`
    `static XmlObject` | `getXmlObject(DomImpl.Dom n)`
    `static XMLStreamReader` | `getXmlStreamReader(DomImpl.Dom n)`
    `static Element` | `impl_saajCallback_createSoapElement(DomImpl.Dom d, QName name, QName parentName)`
    `static Text` | `impl_saajCallback_ensureSoapTextNode(DomImpl.Dom d)`
    `static Object` | `impl_saajCallback_getSaajData(DomImpl.Dom d)`
    `static Element` | `impl_saajCallback_importSoapElement(DomImpl.Dom d, Element elem, boolean deep, QName parentName)`
    `static void` | `impl_saajCallback_setSaajData(DomImpl.Dom d, Object o)`
    `static Node` | `insert(DomImpl.Dom n, DomImpl.Dom b)`
    `static Node` | `node_cloneNode(DomImpl.Dom n, boolean deep)`
    `static Node` | `node_getFirstChild(DomImpl.Dom n)`
    `static Node` | `node_getLastChild(DomImpl.Dom n)`
    `static Node` | `node_getNextSibling(DomImpl.Dom n)`
    `static String` | `node_getNodeValue(DomImpl.Dom n)`
    `static Document` | `node_getOwnerDocument(DomImpl.Dom n)`
    `static Node` | `node_getParentNode(DomImpl.Dom n)`
    `static Node` | `node_getPreviousSibling(DomImpl.Dom n)`
    `static boolean` | `node_hasAttributes(DomImpl.Dom n)`
    `static Node` | `node_insertBefore(DomImpl.Dom p, DomImpl.Dom nc, DomImpl.Dom rc)`
    `static void` | `node_normalize(DomImpl.Dom n)`
    `static Node` | `node_removeChild(DomImpl.Dom parent, DomImpl.Dom child)`
    `static Node` | `node_replaceChild(DomImpl.Dom p, DomImpl.Dom newChild, DomImpl.Dom oldChild)`
    `static void` | `node_setNodeValue(DomImpl.Dom n, String nodeValue)`
    `static void` | `node_setPrefix(DomImpl.Dom n, String prefix)`
    `static Node` | `remove(DomImpl.Dom n)`
    `static Element` | `saajCallback_createSoapElement(DomImpl.Dom d, QName name, QName parentName)`
    `static Text` | `saajCallback_ensureSoapTextNode(DomImpl.Dom d)`
    `static Object` | `saajCallback_getSaajData(DomImpl.Dom d)`
    `static Element` | `saajCallback_importSoapElement(DomImpl.Dom d, Element elem, boolean deep, QName parentName)`
    `static void` | `saajCallback_setSaajData(DomImpl.Dom d, Object o)`
    `static SOAPBodyElement` | `soapBody_addBodyElement(DomImpl.Dom d, Name name)`
    `static SOAPBodyElement` | `soapBody_addDocument(DomImpl.Dom d, Document document)`
    `static SOAPFault` | `soapBody_addFault(DomImpl.Dom d)`
    `static SOAPFault` | `soapBody_addFault(DomImpl.Dom d, Name name, String s)`
    `static SOAPFault` | `soapBody_addFault(DomImpl.Dom d, Name faultCode, String faultString, Locale locale)`
    `static SOAPFault` | `soapBody_getFault(DomImpl.Dom d)`
    `static boolean` | `soapBody_hasFault(DomImpl.Dom d)`
    `static Detail` | `soapFault_addDetail(DomImpl.Dom d)`
    `static Detail` | `soapFault_getDetail(DomImpl.Dom d)`
    `static String` | `soapFault_getFaultActor(DomImpl.Dom d)`
    `static String` | `soapFault_getFaultCode(DomImpl.Dom d)`
    `static Name` | `soapFault_getFaultCodeAsName(DomImpl.Dom d)`
    `static String` | `soapFault_getFaultString(DomImpl.Dom d)`
    `static Locale` | `soapFault_getFaultStringLocale(DomImpl.Dom d)`
    `static void` | `soapFault_setFaultActor(DomImpl.Dom d, String faultActorString)`
    `static void` | `soapFault_setFaultCode(DomImpl.Dom d, Name faultCodeName)`
    `static void` | `soapFault_setFaultCode(DomImpl.Dom d, String faultCode)`
    `static void` | `soapFault_setFaultString(DomImpl.Dom d, String faultString)`
    `static void` | `soapFault_setFaultString(DomImpl.Dom d, String faultString, Locale locale)`
    `static SOAPHeaderElement` | `soapHeader_addHeaderElement(DomImpl.Dom d, Name name)`
    `static Iterator<SOAPHeaderElement>` | `soapHeader_examineAllHeaderElements(DomImpl.Dom d)`
    `static Iterator<SOAPHeaderElement>` | `soapHeader_examineHeaderElements(DomImpl.Dom d, String actor)`
    `static Iterator<SOAPHeaderElement>` | `soapHeader_examineMustUnderstandHeaderElements(DomImpl.Dom d, String mustUnderstandString)`
    `static Iterator<SOAPHeaderElement>` | `soapHeader_extractAllHeaderElements(DomImpl.Dom d)`
    `static Iterator<SOAPHeaderElement>` | `soapHeader_extractHeaderElements(DomImpl.Dom d, String actor)`
    `static String` | `soapHeaderElement_getActor(DomImpl.Dom d)`
    `static boolean` | `soapHeaderElement_getMustUnderstand(DomImpl.Dom d)`
    `static void` | `soapHeaderElement_setActor(DomImpl.Dom d, String actor)`
    `static void` | `soapHeaderElement_setMustUnderstand(DomImpl.Dom d, boolean mustUnderstand)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _emptyNodeList

          public static final NodeList _emptyNodeList

  - ### Constructor Detail

    - #### DomImpl

          public DomImpl()

  - ### Method Detail

    - #### append

          public static Node append(DomImpl.Dom n,
                                    DomImpl.Dom p)

    - #### insert

          public static Node insert(DomImpl.Dom n,
                                    DomImpl.Dom b)

    - #### remove

          public static Node remove(DomImpl.Dom n)

    - #### _domImplementation_createDocument

          public static Document _domImplementation_createDocument(Locale l,
                                                                   String u,
                                                                   String n,
                                                                   DocumentType t)

    - #### domImplementation_createDocument

          public static Document domImplementation_createDocument(Locale l,
                                                                  String namespaceURI,
                                                                  String qualifiedName,
                                                                  DocumentType doctype)

    - #### _domImplementation_hasFeature

          public static boolean _domImplementation_hasFeature(Locale l,
                                                              String feature,
                                                              String version)

    - #### _document_getDocumentElement

          public static Element _document_getDocumentElement(DomImpl.Dom d)

    - #### document_getDocumentElement

          public static Element document_getDocumentElement(DomImpl.Dom d)

    - #### _document_createDocumentFragment

          public static DocumentFragment _document_createDocumentFragment(DomImpl.Dom d)

    - #### document_createDocumentFragment

          public static DocumentFragment document_createDocumentFragment(DomImpl.Dom d)

    - #### _document_createElement

          public static Element _document_createElement(DomImpl.Dom d,
                                                        String name)

    - #### document_createElement

          public static Element document_createElement(DomImpl.Dom d,
                                                       String name)

    - #### _document_createElementNS

          public static Element _document_createElementNS(DomImpl.Dom d,
                                                          String uri,
                                                          String qname)

    - #### document_createElementNS

          public static Element document_createElementNS(DomImpl.Dom d,
                                                         String uri,
                                                         String qname)

    - #### _document_createAttribute

          public static Attr _document_createAttribute(DomImpl.Dom d,
                                                       String name)

    - #### document_createAttribute

          public static Attr document_createAttribute(DomImpl.Dom d,
                                                      String name)

    - #### _document_createAttributeNS

          public static Attr _document_createAttributeNS(DomImpl.Dom d,
                                                         String uri,
                                                         String qname)

    - #### document_createAttributeNS

          public static Attr document_createAttributeNS(DomImpl.Dom d,
                                                        String uri,
                                                        String qname)

    - #### _document_createComment

          public static Comment _document_createComment(DomImpl.Dom d,
                                                        String data)

    - #### document_createComment

          public static Comment document_createComment(DomImpl.Dom d,
                                                       String data)

    - #### _document_createProcessingInstruction

          public static ProcessingInstruction _document_createProcessingInstruction(DomImpl.Dom d,
                                                                                    String target,
                                                                                    String data)

    - #### document_createProcessingInstruction

          public static ProcessingInstruction document_createProcessingInstruction(DomImpl.Dom d,
                                                                                   String target,
                                                                                   String data)

    - #### _document_createCDATASection

          public static CDATASection _document_createCDATASection(DomImpl.Dom d,
                                                                  String data)

    - #### document_createCDATASection

          public static CDATASection document_createCDATASection(DomImpl.Dom d,
                                                                 String data)

    - #### _document_createTextNode

          public static Text _document_createTextNode(DomImpl.Dom d,
                                                      String data)

    - #### document_createTextNode

          public static Text document_createTextNode(DomImpl.Dom d,
                                                     String data)

    - #### _document_createEntityReference

          public static EntityReference _document_createEntityReference(DomImpl.Dom d,
                                                                        String name)

    - #### _document_getElementById

          public static Element _document_getElementById(DomImpl.Dom d,
                                                         String elementId)

    - #### _document_getElementsByTagName

          public static NodeList _document_getElementsByTagName(DomImpl.Dom d,
                                                                String name)

    - #### document_getElementsByTagName

          public static NodeList document_getElementsByTagName(DomImpl.Dom d,
                                                               String name)

    - #### _document_getElementsByTagNameNS

          public static NodeList _document_getElementsByTagNameNS(DomImpl.Dom d,
                                                                  String uri,
                                                                  String local)

    - #### document_getElementsByTagNameNS

          public static NodeList document_getElementsByTagNameNS(DomImpl.Dom d,
                                                                 String uri,
                                                                 String local)

    - #### _document_getImplementation

          public static DOMImplementation _document_getImplementation(DomImpl.Dom d)

    - #### _document_importNode

          public static Node _document_importNode(DomImpl.Dom d,
                                                  Node n,
                                                  boolean deep)

    - #### document_importNode

          public static Node document_importNode(DomImpl.Dom d,
                                                 Node n,
                                                 boolean deep)

    - #### _document_getDoctype

          public static DocumentType _document_getDoctype(DomImpl.Dom d)

    - #### document_getDoctype

          public static DocumentType document_getDoctype(DomImpl.Dom d)

    - #### _node_getOwnerDocument

          public static Document _node_getOwnerDocument(DomImpl.Dom d)

    - #### node_getOwnerDocument

          public static Document node_getOwnerDocument(DomImpl.Dom n)

    - #### _node_getParentNode

          public static Node _node_getParentNode(DomImpl.Dom d)

    - #### node_getParentNode

          public static Node node_getParentNode(DomImpl.Dom n)

    - #### _node_getFirstChild

          public static Node _node_getFirstChild(DomImpl.Dom n)

    - #### node_getFirstChild

          public static Node node_getFirstChild(DomImpl.Dom n)

    - #### _node_getLastChild

          public static Node _node_getLastChild(DomImpl.Dom n)

    - #### node_getLastChild

          public static Node node_getLastChild(DomImpl.Dom n)

    - #### _node_getNextSibling

          public static Node _node_getNextSibling(DomImpl.Dom n)

    - #### node_getNextSibling

          public static Node node_getNextSibling(DomImpl.Dom n)

    - #### _node_getPreviousSibling

          public static Node _node_getPreviousSibling(DomImpl.Dom n)

    - #### node_getPreviousSibling

          public static Node node_getPreviousSibling(DomImpl.Dom n)

    - #### _node_hasAttributes

          public static boolean _node_hasAttributes(DomImpl.Dom n)

    - #### node_hasAttributes

          public static boolean node_hasAttributes(DomImpl.Dom n)

    - #### _node_isSupported

          public static boolean _node_isSupported(DomImpl.Dom n,
                                                  String feature,
                                                  String version)

    - #### _node_normalize

          public static void _node_normalize(DomImpl.Dom n)

    - #### node_normalize

          public static void node_normalize(DomImpl.Dom n)

    - #### _node_hasChildNodes

          public static boolean _node_hasChildNodes(DomImpl.Dom n)

    - #### _node_appendChild

          public static Node _node_appendChild(DomImpl.Dom p,
                                               Node newChild)

    - #### _node_replaceChild

          public static Node _node_replaceChild(DomImpl.Dom p,
                                                Node newChild,
                                                Node oldChild)

    - #### node_replaceChild

          public static Node node_replaceChild(DomImpl.Dom p,
                                               DomImpl.Dom newChild,
                                               DomImpl.Dom oldChild)

    - #### _node_insertBefore

          public static Node _node_insertBefore(DomImpl.Dom p,
                                                Node newChild,
                                                Node refChild)

    - #### node_insertBefore

          public static Node node_insertBefore(DomImpl.Dom p,
                                               DomImpl.Dom nc,
                                               DomImpl.Dom rc)

    - #### _node_removeChild

          public static Node _node_removeChild(DomImpl.Dom p,
                                               Node child)

    - #### node_removeChild

          public static Node node_removeChild(DomImpl.Dom parent,
                                              DomImpl.Dom child)

    - #### _node_cloneNode

          public static Node _node_cloneNode(DomImpl.Dom n,
                                             boolean deep)

    - #### node_cloneNode

          public static Node node_cloneNode(DomImpl.Dom n,
                                            boolean deep)

    - #### _node_getLocalName

          public static String _node_getLocalName(DomImpl.Dom n)

    - #### _node_getNamespaceURI

          public static String _node_getNamespaceURI(DomImpl.Dom n)

    - #### _node_setPrefix

          public static void _node_setPrefix(DomImpl.Dom n,
                                             String prefix)

    - #### node_setPrefix

          public static void node_setPrefix(DomImpl.Dom n,
                                            String prefix)

    - #### _node_getPrefix

          public static String _node_getPrefix(DomImpl.Dom n)

    - #### _node_getNodeName

          public static String _node_getNodeName(DomImpl.Dom n)

    - #### _node_getNodeType

          public static short _node_getNodeType(DomImpl.Dom n)

    - #### _node_setNodeValue

          public static void _node_setNodeValue(DomImpl.Dom n,
                                                String nodeValue)

    - #### node_setNodeValue

          public static void node_setNodeValue(DomImpl.Dom n,
                                               String nodeValue)

    - #### _node_getNodeValue

          public static String _node_getNodeValue(DomImpl.Dom n)

    - #### node_getNodeValue

          public static String node_getNodeValue(DomImpl.Dom n)

    - #### _node_getUserData

          public static Object _node_getUserData(DomImpl.Dom n,
                                                 String key)

    - #### _node_setUserData

          public static Object _node_setUserData(DomImpl.Dom n,
                                                 String key,
                                                 Object data,
                                                 UserDataHandler handler)

    - #### _node_getFeature

          public static Object _node_getFeature(DomImpl.Dom n,
                                                String feature,
                                                String version)

    - #### _node_isEqualNode

          public static boolean _node_isEqualNode(DomImpl.Dom n,
                                                  Node arg)

    - #### _node_isSameNode

          public static boolean _node_isSameNode(DomImpl.Dom n,
                                                 Node arg)

    - #### _node_lookupNamespaceURI

          public static String _node_lookupNamespaceURI(DomImpl.Dom n,
                                                        String prefix)

    - #### _node_isDefaultNamespace

          public static boolean _node_isDefaultNamespace(DomImpl.Dom n,
                                                         String namespaceURI)

    - #### _node_lookupPrefix

          public static String _node_lookupPrefix(DomImpl.Dom n,
                                                  String namespaceURI)

    - #### _node_setTextContent

          public static void _node_setTextContent(DomImpl.Dom n,
                                                  String textContent)

    - #### _node_getTextContent

          public static String _node_getTextContent(DomImpl.Dom n)

    - #### _node_compareDocumentPosition

          public static short _node_compareDocumentPosition(DomImpl.Dom n,
                                                            Node other)

    - #### _node_getBaseURI

          public static String _node_getBaseURI(DomImpl.Dom n)

    - #### _childNodes_item

          public static Node _childNodes_item(DomImpl.Dom n,
                                              int i)

    - #### childNodes_item

          public static Node childNodes_item(DomImpl.Dom n,
                                             int i)

    - #### _childNodes_getLength

          public static int _childNodes_getLength(DomImpl.Dom n)

    - #### childNodes_getLength

          public static int childNodes_getLength(DomImpl.Dom n)

    - #### _element_getTagName

          public static String _element_getTagName(DomImpl.Dom e)

    - #### _element_getAttributeNode

          public static Attr _element_getAttributeNode(DomImpl.Dom e,
                                                       String name)

    - #### _element_getAttributeNodeNS

          public static Attr _element_getAttributeNodeNS(DomImpl.Dom e,
                                                         String uri,
                                                         String local)

    - #### _element_setAttributeNode

          public static Attr _element_setAttributeNode(DomImpl.Dom e,
                                                       Attr newAttr)

    - #### _element_setAttributeNodeNS

          public static Attr _element_setAttributeNodeNS(DomImpl.Dom e,
                                                         Attr newAttr)

    - #### _element_getAttribute

          public static String _element_getAttribute(DomImpl.Dom e,
                                                     String name)

    - #### _element_getAttributeNS

          public static String _element_getAttributeNS(DomImpl.Dom e,
                                                       String uri,
                                                       String local)

    - #### _element_hasAttribute

          public static boolean _element_hasAttribute(DomImpl.Dom e,
                                                      String name)

    - #### _element_hasAttributeNS

          public static boolean _element_hasAttributeNS(DomImpl.Dom e,
                                                        String uri,
                                                        String local)

    - #### _element_removeAttribute

          public static void _element_removeAttribute(DomImpl.Dom e,
                                                      String name)

    - #### _element_removeAttributeNS

          public static void _element_removeAttributeNS(DomImpl.Dom e,
                                                        String uri,
                                                        String local)

    - #### _element_removeAttributeNode

          public static Attr _element_removeAttributeNode(DomImpl.Dom e,
                                                          Attr oldAttr)

    - #### _element_setAttribute

          public static void _element_setAttribute(DomImpl.Dom e,
                                                   String name,
                                                   String value)

    - #### element_setAttribute

          public static void element_setAttribute(DomImpl.Dom e,
                                                  String name,
                                                  String value)

    - #### _element_setAttributeNS

          public static void _element_setAttributeNS(DomImpl.Dom e,
                                                     String uri,
                                                     String qname,
                                                     String value)

    - #### element_setAttributeNS

          public static void element_setAttributeNS(DomImpl.Dom e,
                                                    String uri,
                                                    String qname,
                                                    String value)

    - #### _element_getElementsByTagName

          public static NodeList _element_getElementsByTagName(DomImpl.Dom e,
                                                               String name)

    - #### element_getElementsByTagName

          public static NodeList element_getElementsByTagName(DomImpl.Dom e,
                                                              String name)

    - #### _element_getElementsByTagNameNS

          public static NodeList _element_getElementsByTagNameNS(DomImpl.Dom e,
                                                                 String uri,
                                                                 String local)

    - #### element_getElementsByTagNameNS

          public static NodeList element_getElementsByTagNameNS(DomImpl.Dom e,
                                                                String uri,
                                                                String local)

    - #### _attributes_getLength

          public static int _attributes_getLength(DomImpl.Dom e)

    - #### attributes_getLength

          public static int attributes_getLength(DomImpl.Dom e)

    - #### _attributes_setNamedItem

          public static Node _attributes_setNamedItem(DomImpl.Dom e,
                                                      Node attr)

    - #### attributes_setNamedItem

          public static Node attributes_setNamedItem(DomImpl.Dom e,
                                                     DomImpl.Dom a)

    - #### _attributes_getNamedItem

          public static Node _attributes_getNamedItem(DomImpl.Dom e,
                                                      String name)

    - #### attributes_getNamedItem

          public static Node attributes_getNamedItem(DomImpl.Dom e,
                                                     String name)

    - #### _attributes_getNamedItemNS

          public static Node _attributes_getNamedItemNS(DomImpl.Dom e,
                                                        String uri,
                                                        String local)

    - #### attributes_getNamedItemNS

          public static Node attributes_getNamedItemNS(DomImpl.Dom e,
                                                       String uri,
                                                       String local)

    - #### _attributes_removeNamedItem

          public static Node _attributes_removeNamedItem(DomImpl.Dom e,
                                                         String name)

    - #### attributes_removeNamedItem

          public static Node attributes_removeNamedItem(DomImpl.Dom e,
                                                        String name)

    - #### _attributes_removeNamedItemNS

          public static Node _attributes_removeNamedItemNS(DomImpl.Dom e,
                                                           String uri,
                                                           String local)

    - #### attributes_removeNamedItemNS

          public static Node attributes_removeNamedItemNS(DomImpl.Dom e,
                                                          String uri,
                                                          String local)

    - #### _attributes_setNamedItemNS

          public static Node _attributes_setNamedItemNS(DomImpl.Dom e,
                                                        Node attr)

    - #### attributes_setNamedItemNS

          public static Node attributes_setNamedItemNS(DomImpl.Dom e,
                                                       DomImpl.Dom a)

    - #### _attributes_item

          public static Node _attributes_item(DomImpl.Dom e,
                                              int index)

    - #### attributes_item

          public static Node attributes_item(DomImpl.Dom e,
                                             int index)

    - #### _processingInstruction_getData

          public static String _processingInstruction_getData(DomImpl.Dom p)

    - #### _processingInstruction_getTarget

          public static String _processingInstruction_getTarget(DomImpl.Dom p)

    - #### _processingInstruction_setData

          public static void _processingInstruction_setData(DomImpl.Dom p,
                                                            String data)

    - #### _attr_getSpecified

          public static boolean _attr_getSpecified(DomImpl.Dom a)

    - #### _attr_getOwnerElement

          public static Element _attr_getOwnerElement(DomImpl.Dom a)

    - #### attr_getOwnerElement

          public static Element attr_getOwnerElement(DomImpl.Dom n)

    - #### _characterData_appendData

          public static void _characterData_appendData(DomImpl.Dom cd,
                                                       String arg)

    - #### _characterData_deleteData

          public static void _characterData_deleteData(DomImpl.Dom c,
                                                       int offset,
                                                       int count)

    - #### _characterData_getData

          public static String _characterData_getData(DomImpl.Dom c)

    - #### _characterData_getLength

          public static int _characterData_getLength(DomImpl.Dom c)

    - #### _characterData_insertData

          public static void _characterData_insertData(DomImpl.Dom c,
                                                       int offset,
                                                       String arg)

    - #### _characterData_replaceData

          public static void _characterData_replaceData(DomImpl.Dom c,
                                                        int offset,
                                                        int count,
                                                        String arg)

    - #### _characterData_setData

          public static void _characterData_setData(DomImpl.Dom c,
                                                    String data)

    - #### _characterData_substringData

          public static String _characterData_substringData(DomImpl.Dom c,
                                                            int offset,
                                                            int count)

    - #### _text_splitText

          public static Text _text_splitText(DomImpl.Dom t,
                                             int offset)

    - #### _text_getWholeText

          public static String _text_getWholeText(DomImpl.Dom t)

    - #### _text_isElementContentWhitespace

          public static boolean _text_isElementContentWhitespace(DomImpl.Dom t)

    - #### _text_replaceWholeText

          public static Text _text_replaceWholeText(DomImpl.Dom t,
                                                    String content)

    - #### _getXmlStreamReader

          public static XMLStreamReader _getXmlStreamReader(DomImpl.Dom n)

    - #### getXmlStreamReader

          public static XMLStreamReader getXmlStreamReader(DomImpl.Dom n)

    - #### _getXmlCursor

          public static XmlCursor _getXmlCursor(DomImpl.Dom n)

    - #### getXmlCursor

          public static XmlCursor getXmlCursor(DomImpl.Dom n)

    - #### _getXmlObject

          public static XmlObject _getXmlObject(DomImpl.Dom n)

    - #### getXmlObject

          public static XmlObject getXmlObject(DomImpl.Dom n)

    - #### _soapText_isComment

          public static boolean _soapText_isComment(DomImpl.Dom n)

    - #### _soapNode_detachNode

          public static void _soapNode_detachNode(DomImpl.Dom n)

    - #### _soapNode_recycleNode

          public static void _soapNode_recycleNode(DomImpl.Dom n)

    - #### _soapNode_getValue

          public static String _soapNode_getValue(DomImpl.Dom n)

    - #### _soapNode_setValue

          public static void _soapNode_setValue(DomImpl.Dom n,
                                                String value)

    - #### _soapNode_getParentElement

          public static SOAPElement _soapNode_getParentElement(DomImpl.Dom n)

    - #### _soapNode_setParentElement

          public static void _soapNode_setParentElement(DomImpl.Dom n,
                                                        SOAPElement p)

    - #### _soapElement_removeContents

          public static void _soapElement_removeContents(DomImpl.Dom d)

    - #### _soapElement_getEncodingStyle

          public static String _soapElement_getEncodingStyle(DomImpl.Dom d)

    - #### _soapElement_setEncodingStyle

          public static void _soapElement_setEncodingStyle(DomImpl.Dom d,
                                                           String encodingStyle)

    - #### _soapElement_removeNamespaceDeclaration

          public static boolean _soapElement_removeNamespaceDeclaration(DomImpl.Dom d,
                                                                        String prefix)

    - #### _soapElement_getAllAttributes

          public static Iterator<Name> _soapElement_getAllAttributes(DomImpl.Dom d)

    - #### _soapElement_getChildElements

          public static Iterator<SOAPElement> _soapElement_getChildElements(DomImpl.Dom d)

    - #### _soapElement_getNamespacePrefixes

          public static Iterator<String> _soapElement_getNamespacePrefixes(DomImpl.Dom d)

    - #### _soapElement_addAttribute

          public static SOAPElement _soapElement_addAttribute(DomImpl.Dom d,
                                                              Name name,
                                                              String value)
                                                       throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapElement_addChildElement

          public static SOAPElement _soapElement_addChildElement(DomImpl.Dom d,
                                                                 SOAPElement oldChild)
                                                          throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapElement_addChildElement

          public static SOAPElement _soapElement_addChildElement(DomImpl.Dom d,
                                                                 Name name)
                                                          throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapElement_addChildElement

          public static SOAPElement _soapElement_addChildElement(DomImpl.Dom d,
                                                                 String localName)
                                                          throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapElement_addChildElement

          public static SOAPElement _soapElement_addChildElement(DomImpl.Dom d,
                                                                 String localName,
                                                                 String prefix)
                                                          throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapElement_addChildElement

          public static SOAPElement _soapElement_addChildElement(DomImpl.Dom d,
                                                                 String localName,
                                                                 String prefix,
                                                                 String uri)
                                                          throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapElement_addNamespaceDeclaration

          public static SOAPElement _soapElement_addNamespaceDeclaration(DomImpl.Dom d,
                                                                         String prefix,
                                                                         String uri)

    - #### _soapElement_addTextNode

          public static SOAPElement _soapElement_addTextNode(DomImpl.Dom d,
                                                             String data)

    - #### _soapElement_getAttributeValue

          public static String _soapElement_getAttributeValue(DomImpl.Dom d,
                                                              Name name)

    - #### _soapElement_getChildElements

          public static Iterator<SOAPElement> _soapElement_getChildElements(DomImpl.Dom d,
                                                                            Name name)

    - #### _soapElement_getElementName

          public static Name _soapElement_getElementName(DomImpl.Dom d)

    - #### _soapElement_getNamespaceURI

          public static String _soapElement_getNamespaceURI(DomImpl.Dom d,
                                                            String prefix)

    - #### _soapElement_getVisibleNamespacePrefixes

          public static Iterator<String> _soapElement_getVisibleNamespacePrefixes(DomImpl.Dom d)

    - #### _soapElement_removeAttribute

          public static boolean _soapElement_removeAttribute(DomImpl.Dom d,
                                                             Name name)

    - #### _soapEnvelope_addBody

          public static SOAPBody _soapEnvelope_addBody(DomImpl.Dom d)
                                                throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapEnvelope_getBody

          public static SOAPBody _soapEnvelope_getBody(DomImpl.Dom d)
                                                throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapEnvelope_getHeader

          public static SOAPHeader _soapEnvelope_getHeader(DomImpl.Dom d)
                                                    throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapEnvelope_addHeader

          public static SOAPHeader _soapEnvelope_addHeader(DomImpl.Dom d)
                                                    throws SOAPException

      Throws:
        `SOAPException`

    - #### _soapEnvelope_createName

          public static Name _soapEnvelope_createName(DomImpl.Dom d,
                                                      String localName)

    - #### _soapEnvelope_createName

          public static Name _soapEnvelope_createName(DomImpl.Dom d,
                                                      String localName,
                                                      String prefix,
                                                      String namespaceURI)

    - #### soapHeader_examineAllHeaderElements

          public static Iterator<SOAPHeaderElement> soapHeader_examineAllHeaderElements(DomImpl.Dom d)

    - #### soapHeader_extractAllHeaderElements

          public static Iterator<SOAPHeaderElement> soapHeader_extractAllHeaderElements(DomImpl.Dom d)

    - #### soapHeader_examineHeaderElements

          public static Iterator<SOAPHeaderElement> soapHeader_examineHeaderElements(DomImpl.Dom d,
                                                                                     String actor)

    - #### soapHeader_examineMustUnderstandHeaderElements

          public static Iterator<SOAPHeaderElement> soapHeader_examineMustUnderstandHeaderElements(DomImpl.Dom d,
                                                                                                   String mustUnderstandString)

    - #### soapHeader_extractHeaderElements

          public static Iterator<SOAPHeaderElement> soapHeader_extractHeaderElements(DomImpl.Dom d,
                                                                                     String actor)

    - #### soapHeader_addHeaderElement

          public static SOAPHeaderElement soapHeader_addHeaderElement(DomImpl.Dom d,
                                                                      Name name)

    - #### soapBody_hasFault

          public static boolean soapBody_hasFault(DomImpl.Dom d)

    - #### soapBody_addFault

          public static SOAPFault soapBody_addFault(DomImpl.Dom d)
                                             throws SOAPException

      Throws:
        `SOAPException`

    - #### soapBody_getFault

          public static SOAPFault soapBody_getFault(DomImpl.Dom d)

    - #### soapBody_addBodyElement

          public static SOAPBodyElement soapBody_addBodyElement(DomImpl.Dom d,
                                                                Name name)

    - #### soapBody_addDocument

          public static SOAPBodyElement soapBody_addDocument(DomImpl.Dom d,
                                                             Document document)

    - #### soapBody_addFault

          public static SOAPFault soapBody_addFault(DomImpl.Dom d,
                                                    Name name,
                                                    String s)
                                             throws SOAPException

      Throws:
        `SOAPException`

    - #### soapBody_addFault

          public static SOAPFault soapBody_addFault(DomImpl.Dom d,
                                                    Name faultCode,
                                                    String faultString,
                                                    Locale locale)
                                             throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_setFaultString

          public static void soapFault_setFaultString(DomImpl.Dom d,
                                                      String faultString)

    - #### soapFault_setFaultString

          public static void soapFault_setFaultString(DomImpl.Dom d,
                                                      String faultString,
                                                      Locale locale)

    - #### soapFault_setFaultCode

          public static void soapFault_setFaultCode(DomImpl.Dom d,
                                                    Name faultCodeName)
                                             throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_setFaultActor

          public static void soapFault_setFaultActor(DomImpl.Dom d,
                                                     String faultActorString)

    - #### soapFault_getFaultActor

          public static String soapFault_getFaultActor(DomImpl.Dom d)

    - #### soapFault_getFaultCode

          public static String soapFault_getFaultCode(DomImpl.Dom d)

    - #### soapFault_setFaultCode

          public static void soapFault_setFaultCode(DomImpl.Dom d,
                                                    String faultCode)
                                             throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_getFaultStringLocale

          public static Locale soapFault_getFaultStringLocale(DomImpl.Dom d)

    - #### soapFault_getFaultCodeAsName

          public static Name soapFault_getFaultCodeAsName(DomImpl.Dom d)

    - #### soapFault_getFaultString

          public static String soapFault_getFaultString(DomImpl.Dom d)

    - #### soapFault_addDetail

          public static Detail soapFault_addDetail(DomImpl.Dom d)
                                            throws SOAPException

      Throws:
        `SOAPException`

    - #### soapFault_getDetail

          public static Detail soapFault_getDetail(DomImpl.Dom d)

    - #### soapHeaderElement_setMustUnderstand

          public static void soapHeaderElement_setMustUnderstand(DomImpl.Dom d,
                                                                 boolean mustUnderstand)

    - #### soapHeaderElement_getMustUnderstand

          public static boolean soapHeaderElement_getMustUnderstand(DomImpl.Dom d)

    - #### soapHeaderElement_setActor

          public static void soapHeaderElement_setActor(DomImpl.Dom d,
                                                        String actor)

    - #### soapHeaderElement_getActor

          public static String soapHeaderElement_getActor(DomImpl.Dom d)

    - #### detail_addDetailEntry

          public static DetailEntry detail_addDetailEntry(DomImpl.Dom d,
                                                          Name name)

    - #### detail_getDetailEntries

          public static Iterator<DetailEntry> detail_getDetailEntries(DomImpl.Dom d)

    - #### _soapPart_removeAllMimeHeaders

          public static void _soapPart_removeAllMimeHeaders(DomImpl.Dom d)

    - #### _soapPart_removeMimeHeader

          public static void _soapPart_removeMimeHeader(DomImpl.Dom d,
                                                        String name)

    - #### _soapPart_getAllMimeHeaders

          public static Iterator<MimeHeader> _soapPart_getAllMimeHeaders(DomImpl.Dom d)

    - #### _soapPart_getEnvelope

          public static SOAPEnvelope _soapPart_getEnvelope(DomImpl.Dom d)

    - #### _soapPart_getContent

          public static Source _soapPart_getContent(DomImpl.Dom d)

    - #### _soapPart_setContent

          public static void _soapPart_setContent(DomImpl.Dom d,
                                                  Source source)

    - #### _soapPart_getMimeHeader

          public static String[] _soapPart_getMimeHeader(DomImpl.Dom d,
                                                         String name)

    - #### _soapPart_addMimeHeader

          public static void _soapPart_addMimeHeader(DomImpl.Dom d,
                                                     String name,
                                                     String value)

    - #### _soapPart_setMimeHeader

          public static void _soapPart_setMimeHeader(DomImpl.Dom d,
                                                     String name,
                                                     String value)

    - #### _soapPart_getMatchingMimeHeaders

          public static Iterator<MimeHeader> _soapPart_getMatchingMimeHeaders(DomImpl.Dom d,
                                                                              String[] names)

    - #### _soapPart_getNonMatchingMimeHeaders

          public static Iterator<MimeHeader> _soapPart_getNonMatchingMimeHeaders(DomImpl.Dom d,
                                                                                 String[] names)

    - #### saajCallback_setSaajData

          public static void saajCallback_setSaajData(DomImpl.Dom d,
                                                      Object o)

    - #### impl_saajCallback_setSaajData

          public static void impl_saajCallback_setSaajData(DomImpl.Dom d,
                                                           Object o)

    - #### saajCallback_getSaajData

          public static Object saajCallback_getSaajData(DomImpl.Dom d)

    - #### impl_saajCallback_getSaajData

          public static Object impl_saajCallback_getSaajData(DomImpl.Dom d)

    - #### saajCallback_createSoapElement

          public static Element saajCallback_createSoapElement(DomImpl.Dom d,
                                                               QName name,
                                                               QName parentName)

    - #### impl_saajCallback_createSoapElement

          public static Element impl_saajCallback_createSoapElement(DomImpl.Dom d,
                                                                    QName name,
                                                                    QName parentName)

    - #### saajCallback_importSoapElement

          public static Element saajCallback_importSoapElement(DomImpl.Dom d,
                                                               Element elem,
                                                               boolean deep,
                                                               QName parentName)

    - #### impl_saajCallback_importSoapElement

          public static Element impl_saajCallback_importSoapElement(DomImpl.Dom d,
                                                                    Element elem,
                                                                    boolean deep,
                                                                    QName parentName)

    - #### saajCallback_ensureSoapTextNode

          public static Text saajCallback_ensureSoapTextNode(DomImpl.Dom d)

    - #### impl_saajCallback_ensureSoapTextNode

          public static Text impl_saajCallback_ensureSoapTextNode(DomImpl.Dom d)